Summary: A DNS (Domain Name System) server.
Name: bind
Version: 9.0.0
Release: 3ck
Copyright: distributable
Group: System Environment/Daemons
Source0: ftp://ftp.isc.org/isc/bind9/9.0.0/bind-%{version}.tar.gz
Source1: named.init
Source2: named.logrotate
Packager: MediKat Europe <support@medikat.com>
URL: http://www.isc.org/products/BIND/
Prereq: chkconfig
Vendor: MediKat Europe GmbH i.G. - Germany

%description
BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses, and a resolver library
(routines for applications to use when interfacing with DNS).  A DNS
server allows clients to name resources or objects and share the
information with other network machines.  The named DNS server can be
used on workstations as a caching name server, but is generally only
needed on one machine for an entire network.  Note that the
configuration files for making BIND act as a simple caching nameserver
are included in the caching-nameserver package.

Install the bind package if you need a DNS server for your network.  If
you want bind to act a caching name server, you will also need to install
the caching-nameserver package.

%package utils
Summary: Utilities for querying DNS name servers.
Group: Networking/Other

%description utils
Bind-utils contains a collection of utilities for querying DNS (Domain
Name Service) name servers to find out information about Internet hosts.
These tools will provide you with the IP addresses for given host names,
as well as other information about registered domains and network
addresses.

You should install bind-utils if you need to get information from DNS name
servers.

%package devel
Summary: Include files and libraries needed for bind DNS development.
Group: Development/Libraries
Requires: bind

%description devel
The bind-devel package contains all the include files and the
library required for DNS (Domain Name Service) development for
BIND versions 8.x.x.

You should install bind-devel if you want to develop bind DNS
applications. If you install bind-devel, you'll also need to install
bind.

%prep
%setup -q

%build

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-ipv6
make

%install
make install

# make /var/named owned by named.named
test -d $RPM_BUILD_ROOT/var/named || install -d -m 755 $RPM_BUILD_ROOT/var/named

%pre
/usr/sbin/useradd -c "Named" -u 25 \
	-s /bin/false -r -d /var/named named 2>/dev/null || :

%post
/sbin/chkconfig --add named
if [ -f /var/lock/subsys/named ]; then
  /etc/rc.d/init.d/named restart
fi

if [ -f /etc/named.boot -a ! -f /etc/named.conf ]; then
  if [ -x /usr/doc/packages/bind-9.0.0/contrib/named-bootconf/named-bootconf.sh ]; then
    cat /etc/named.boot | /usr/doc/packages/bind-9.0.0/contrib/named-bootconf/named-bootconf.sh > /etc/named.conf
    chmod 644 /etc/named.conf
  fi
fi

%preun
if [ $1 = 0 ]; then
  /usr/sbin/userdel named 2>/dev/null || :
  /sbin/chkconfig --del named
  if [ -f /var/lock/subsys/named ]; then
    /etc/rc.d/init.d/named stop
  fi
fi

%triggerpostun -- bind < %{version}-%{release}
/sbin/chkconfig --add named

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc CHANGES
%doc COPYRIGHT
%doc doc
%doc contrib

%config /etc/logrotate.d/named
%config /etc/rc.d/init.d/named

/usr/man/man5/rndc.conf.5.gz
/usr/man/man8/named.8.gz
/usr/man/man8/rndc.8.gz
/usr/sbin/dnssec-keygen
/usr/sbin/dnssec-makekeyset
/usr/sbin/dnssec-signkey
/usr/sbin/dnssec-signzone
/usr/sbin/named
/usr/sbin/lwresd
/usr/sbin/rndc

%attr(-,named,named) %dir /var/named

%files utils
%defattr(-,root,root)

/usr/bin/dig
/usr/bin/host
/usr/bin/isc-config.sh
/usr/bin/nslookup
/usr/bin/nsupdate

%files devel
%defattr(-,root,root)

/usr/include/dns
/usr/include/dst
/usr/include/isc
/usr/include/lwres
/usr/include/omapi
/usr/lib/libdns.a
/usr/lib/libisc.a
/usr/lib/liblwres.a
/usr/lib/libomapi.a

%changelog
* Fri Sep 22 2000 Christoph Kuhles <ck@medikat.com>
- added user named for better security
- added /etc/logrotate.d/named
- fixed %doc
- changed Source to Source0, Source1, Source2
- added chkconfig support to /etc/rc.d/init.d/named
- added %pre, %post, %preun
- changed %config
- changed owner of /var/named to user named
- fixed bind-devel (now correctly requires bind installed)

* Fri Sep 22 2000 Christoph Kuhles <ck@medikat.com>
- completely re-packed using new spec file

* Thu Sep 21 2000 Christoph Kuhles <ck@medikat.com>
- initial release

